classification
Title: document minimum sqlite version
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: out of date
Dependencies: 29355 Superseder:
Assigned To: docs@python Nosy List: berker.peksag, carlwgeorge, docs@python
Priority: normal Keywords:

Created on 2016-12-28 22:08 by carlwgeorge, last changed 2017-02-26 16:14 by berker.peksag. This issue is now closed.

Messages (2)
msg284202 - (view) Author: Carl George (carlwgeorge) Date: 2016-12-28 22:08
While attempting to build a Python 3.6 RPM for RHEL/CentOS 6, I noticed the following warning.

*** WARNING: renaming "_sqlite3" since importing it failed: build/lib.linux-i686-3.6-pydebug/_sqlite3.cpython-36dm-i386-linux-gnu.so: undefined symbol: sqlite3_stmt_readonly

I was able to locate changeset 284676cf2ac8 (#10740) which introduced the usage of the sqlite3_stmt_readonly interface.  That interface wasn't added to sqlite until 3.7.4 (http://www.sqlite.org/releaselog/3_7_4.html).  My RPM build failed because RHEL/CentOS 6 only has sqlite 3.6.20.  I understand that Python can't support old libraries forever, but can this minimum sqlite version be noted somewhere in the documentation?
msg288601 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-02-26 16:14
Thanks for the report, Carl! The patch for issue 28518 has been lifted the requirement for sqlite3_stmt_readonly() so you can now use and compile Python 3.6.1 without a warning at compile time.
History
Date User Action Args
2017-11-23 11:55:23berker.peksaglinkissue32120 superseder
2017-02-26 16:14:06berker.peksagsetstatus: open -> closed
resolution: out of date
messages: + msg288601

stage: resolved
2017-02-22 22:56:53berker.peksagsetdependencies: + sqlite3: remove sqlite3_stmt_readonly()
type: enhancement
versions: + Python 3.7
2016-12-31 01:03:30berker.peksagsetnosy: + berker.peksag
2016-12-28 22:08:50carlwgeorgecreate